%global shortname access-modifier

Name:           access-modifier-annotation
Version:        1.7
Release:        %mkrel 3
Group:          Development/Java
Summary:        Java annotation for custom access modifiers

# License is specified in pom file
License:        MIT
URL:            https://github.com/kohsuke/access-modifier
Source0:        https://github.com/kohsuke/%{shortname}/archive/%{shortname}-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.jenkins-ci:annotation-indexer)
BuildRequires:  mvn(org.kohsuke.metainf-services:metainf-services)
BuildRequires:  mvn(org.kohsuke:pom:pom:)
BuildRequires:  mvn(org.ow2.asm:asm-debug-all)

%description
Allows applications to define custom access modifiers programmatically,
to be enforced at compile time in the opt-in basis. Obviously, 
there's no runtime check either - this is strictly a voluntary annotations.
This mechanism is useful for actually making sure that deprecated features 
are not used (without actually removing such declarations, which would break 
binary compatibility.)

%package -n access-modifier-checker
Summary:        Maven plugin for checking custom access modifiers

%description -n access-modifier-checker
This package contains Maven plugin for checking custom access modifiers.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{shortname}-%{shortname}-%{version}

cp %{SOURCE1} LICENSE

%mvn_package :access-modifier-checker access-modifier-checker

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%files -n access-modifier-checker -f .mfiles-access-modifier-checker
%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.7-3.mga6
+ Revision: 981804
- Second rebuild of the java stack

* Sat Feb 27 2016 neoclust <neoclust> 1.7-2.mga6
+ Revision: 980082
- New version 1.7

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Jan 14 2015 pterjan <pterjan> 1.4-5.mga5
+ Revision: 810746
- Fix BuildRequires

* Fri Dec 26 2014 dmorgan <dmorgan> 1.4-4.mga5
+ Revision: 806075
- imported package access-modifier-annotation


* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Initial package

